#   C4DLL.MAK (c)Copyright Sequiter Software Inc.,  All rights reserved. */
#  
#   Make file for creating C4DLL.DLL, C4DLL.LIB ( Borland C++ )

#		*Implicit Rules*

Compiler = bcc
Compiler_options = -c -H -wnod -w-pia -ml -G -Z -P

#		*List Macros*

Object_files =   \
   f4info_p.obj \
   f4seq.obj \
   t4info.obj \
   d4data_p.obj \
   s4str.obj \
   s4string.obj \
   b4block.obj \
   c4.obj \
   c4bcd.obj \
   c4code.obj \
   c4const.obj \
   d4append.obj \
   d4close.obj \
   d4create.obj \
   d4data.obj \
   d4date.obj \
   d4field.obj \
   d4flush.obj \
   d4fresh.obj \
   d4go.obj \
   d4index.obj \
   d4lock.obj \
   d4open.obj \
   d4opt.obj \
   d4pack.obj \
   d4positi.obj \
   d4seek.obj \
   d4skip.obj \
   d4tag.obj \
   d4unlock.obj \
   d4write.obj \
   d4zap.obj \
   e4calc.obj \
   e4error.obj \
   e4expr.obj \
   e4functi.obj \
   e4not_s.obj \
   e4parse.obj \
   f4ass_f.obj \
   f4char.obj \
   f4close.obj \
   f4create.obj \
   f4double.obj \
   f4field.obj \
   f4file.obj \
   f4filese.obj \
   f4flag.obj \
   f4flush.obj \
   f4info.obj \
   f4int.obj \
   f4lock.obj \
   f4long.obj \
   f4memo.obj \
   f4open.obj \
   f4opt.obj \
   f4ptr.obj \
   f4str.obj \
   f4temp.obj \
   f4true.obj \
   f4write.obj \
   i4add.obj \
   i4addtag.obj \
   i4check.obj \
   i4create.obj \
   i4dump.obj \
   i4index.obj \
   i4info.obj \
   i4init.obj \
   i4key.obj \
   i4lock.obj \
   i4ntag.obj \
   i4positi.obj \
   i4remove.obj \
   i4tag.obj \
   l4link.obj \
   l4lock_c.obj \
   m4check.obj \
   m4create.obj \
   m4file.obj \
   m4map.obj  \
   m4memo.obj \
   m4memory.obj \
   o4opt.obj \
   r4code.obj \
   r4driver.obj \
   r4group.obj \
   r4log.obj \
   r4object.obj \
   r4reinde.obj \
   r4reindx.obj \
   r4relate.obj \
   r4report.obj \
   r4save.obj \
   r4save_m.obj \
   r4styles.obj \
   r4text.obj \
   r4total.obj \
   s4init.obj \
   s4initfr.obj \
   s4next.obj \
   s4quick.obj \
   s4sort.obj \
   u4name.obj \
   u4util.obj \

#		*Link*
c4base.lib: $(Object_files)
   IF EXIST c4base.lib del c4base.lib
   tlib c4base.lib /C +F4INFO_P.OBJ +F4SEQ.OBJ    +T4INFO.OBJ                                   
   tlib c4base.lib /C +D4DATA_P.OBJ +S4STRING.OBJ +S4STR.OBJ                                   
   tlib c4base.lib /C +B4BLOCK.OBJ  +C4.OBJ       +C4BCD.OBJ    +C4CODE.OBJ   +C4CONST.OBJ
   tlib c4base.lib /C +D4APPEND.OBJ +D4CLOSE.OBJ  +D4CREATE.OBJ +D4DATA.OBJ   +D4DATE.OBJ
   tlib c4base.lib /C +D4FIELD.OBJ  +D4FLUSH.OBJ  +D4FRESH.OBJ  +D4GO.OBJ     +D4INDEX.OBJ
   tlib c4base.lib /C +D4LOCK.OBJ   +D4OPEN.OBJ   +D4OPT.OBJ    +D4PACK.OBJ   +D4POSITI.OBJ
   tlib c4base.lib /C +D4SEEK.OBJ   +D4SKIP.OBJ   +D4TAG.OBJ    +D4UNLOCK.OBJ +D4WRITE.OBJ
   tlib c4base.lib /C +D4ZAP.OBJ    +E4CALC.OBJ   +E4ERROR.OBJ  +E4EXPR.OBJ   +E4FUNCTI.OBJ
   tlib c4base.lib /C +E4NOT_S.OBJ  +E4PARSE.OBJ  +F4ASS_F.OBJ  +F4CHAR.OBJ   +F4CLOSE.OBJ
   tlib c4base.lib /C +F4CREATE.OBJ +F4DOUBLE.OBJ +F4FIELD.OBJ  +F4FILE.OBJ   +F4FILESE.OBJ
   tlib c4base.lib /C +F4FLAG.OBJ   +F4FLUSH.OBJ  +F4INFO.OBJ   +F4INT.OBJ    +F4LOCK.OBJ
   tlib c4base.lib /C +F4LONG.OBJ   +F4MEMO.OBJ   +F4OPEN.OBJ   +F4OPT.OBJ    +F4PTR.OBJ
   tlib c4base.lib /C +F4STR.OBJ    +F4TEMP.OBJ   +F4TRUE.OBJ   +F4WRITE.OBJ  +I4ADDTAG.OBJ
   tlib c4base.lib /C +I4CHECK.OBJ  +I4CREATE.OBJ +I4DUMP.OBJ   +I4INDEX.OBJ  +I4INFO.OBJ
   tlib c4base.lib /C +I4INIT.OBJ   +I4KEY.OBJ    +I4LOCK.OBJ   +I4NTAG.OBJ   +I4POSITI.OBJ
   tlib c4base.lib /C +I4REMOVE.OBJ +I4TAG.OBJ    +L4LINK.OBJ   +L4LOCK_C.OBJ +M4CHECK.OBJ
   tlib c4base.lib /C +M4CREATE.OBJ +M4FILE.OBJ   +M4MAP.OBJ    +M4MEMO.OBJ   +M4MEMORY.OBJ
   tlib c4base.lib /C +O4OPT.OBJ    +R4CODE.OBJ   +R4DRIVER.OBJ +R4GROUP.OBJ  +R4LOG.OBJ
   tlib c4base.lib /C +R4OBJECT.OBJ +R4REINDE.OBJ +R4REINDX.OBJ +R4RELATE.OBJ +R4REPORT.OBJ
   tlib c4base.lib /C +R4SAVE.OBJ   +R4SAVE_M.OBJ +R4STYLES.OBJ +R4TEXT.OBJ   +R4TOTAL.OBJ
   tlib c4base.lib /C +S4INIT.OBJ   +S4INITFR.OBJ +S4NEXT.OBJ   +S4QUICK.OBJ  +S4SORT.OBJ
   tlib c4base.lib /C +U4NAME.OBJ   +U4UTIL.OBJ   +I4ADD.OBJ

#		*Compile*

f4info_p.obj  :  f4info_p.cpp
   $(Compiler) $(Compiler_options)   f4info_p.cpp

f4seq.obj  :  f4seq.cpp
   $(Compiler) $(Compiler_options)   f4seq.cpp

t4info.obj  :  t4info.cpp
   $(Compiler) $(Compiler_options)   t4info.cpp

d4data_p.obj  :  d4data_p.cpp
   $(Compiler) $(Compiler_options)   d4data_p.cpp

s4str.obj  :  s4str.cpp
   $(Compiler) $(Compiler_options)   s4str.cpp

s4string.obj  :  s4string.cpp
   $(Compiler) $(Compiler_options)   s4string.cpp

b4block.obj  :  b4block.c
   $(Compiler) $(Compiler_options)   b4block.c

c4.obj       :  c4.c
   $(Compiler) $(Compiler_options)   c4.c

c4bcd.obj    :  c4bcd.c
   $(Compiler) $(Compiler_options)   c4bcd.c

c4code.obj   :  c4code.c
   $(Compiler) $(Compiler_options)   c4code.c

c4const.obj  :  c4const.c
   $(Compiler) $(Compiler_options)   c4const.c

d4append.obj :  d4append.c
   $(Compiler) $(Compiler_options)   d4append.c

d4close.obj  :  d4close.c
   $(Compiler) $(Compiler_options)   d4close.c

d4create.obj :  d4create.c
   $(Compiler) $(Compiler_options)   d4create.c

d4data.obj   :  d4data.c
   $(Compiler) $(Compiler_options)   d4data.c

d4date.obj   :  d4date.c
   $(Compiler) $(Compiler_options)   d4date.c

d4field.obj  :  d4field.c
   $(Compiler) $(Compiler_options)   d4field.c

d4flush.obj  :  d4flush.c
   $(Compiler) $(Compiler_options)   d4flush.c

d4fresh.obj  :  d4fresh.c
   $(Compiler) $(Compiler_options)   d4fresh.c

d4go.obj     :  d4go.c
   $(Compiler) $(Compiler_options)   d4go.c

d4lock.obj   :  d4lock.c
   $(Compiler) $(Compiler_options)   d4lock.c

d4index.obj   :  d4index.c
   $(Compiler) $(Compiler_options)   d4index.c

d4open.obj   :  d4open.c
   $(Compiler) $(Compiler_options)   d4open.c

d4opt.obj    :  d4opt.c
   $(Compiler) $(Compiler_options)   d4opt.c

d4pack.obj   :  d4pack.c
   $(Compiler) $(Compiler_options)   d4pack.c

d4positi.obj :  d4positi.c
   $(Compiler) $(Compiler_options)   d4positi.c

d4seek.obj   :  d4seek.c
   $(Compiler) $(Compiler_options)   d4seek.c

d4skip.obj   :  d4skip.c
   $(Compiler) $(Compiler_options)   d4skip.c

d4tag.obj    :  d4tag.c
   $(Compiler) $(Compiler_options)   d4tag.c

d4unlock.obj :  d4unlock.c
   $(Compiler) $(Compiler_options)   d4unlock.c

d4write.obj  :  d4write.c
   $(Compiler) $(Compiler_options)   d4write.c

d4zap.obj    :  d4zap.c
   $(Compiler) $(Compiler_options)   d4zap.c

e4calc.obj   :  e4calc.c
   $(Compiler) $(Compiler_options)   e4calc.c

e4error.obj  :  e4error.c
   $(Compiler) $(Compiler_options)   e4error.c

e4expr.obj   :  e4expr.c
   $(Compiler) $(Compiler_options)   e4expr.c

e4not_s.obj :  e4not_s.c
   $(Compiler) $(Compiler_options)   e4not_s.c

e4functi.obj :  e4functi.c
   $(Compiler) $(Compiler_options)   e4functi.c

e4parse.obj  :  e4parse.c
   $(Compiler) $(Compiler_options)   e4parse.c

f4ass_f.obj  :  f4ass_f.c
   $(Compiler) $(Compiler_options)   f4ass_f.c

f4char.obj   :  f4char.c
   $(Compiler) $(Compiler_options)   f4char.c

f4close.obj  :  f4close.c
   $(Compiler) $(Compiler_options)   f4close.c

f4create.obj :  f4create.c
   $(Compiler) $(Compiler_options)   f4create.c

f4double.obj :  f4double.c
   $(Compiler) $(Compiler_options)   f4double.c

f4field.obj  :  f4field.c
   $(Compiler) $(Compiler_options)   f4field.c

f4file.obj   :  f4file.c
   $(Compiler) $(Compiler_options)   f4file.c

f4filese.obj :  f4filese.c
   $(Compiler) $(Compiler_options)   f4filese.c

f4flag.obj   :  f4flag.c
   $(Compiler) $(Compiler_options)   f4flag.c

f4flush.obj  :  f4flush.c
   $(Compiler) $(Compiler_options)   f4flush.c

f4info.obj   :  f4info.c
   $(Compiler) $(Compiler_options)   f4info.c

f4int.obj    :  f4int.c
   $(Compiler) $(Compiler_options)   f4int.c

f4lock.obj   :  f4lock.c
   $(Compiler) $(Compiler_options)   f4lock.c

f4long.obj   :  f4long.c
   $(Compiler) $(Compiler_options)   f4long.c

f4memo.obj   :  f4memo.c
   $(Compiler) $(Compiler_options)   f4memo.c

f4open.obj   :  f4open.c
   $(Compiler) $(Compiler_options)   f4open.c

f4opt.obj    :  f4opt.c
   $(Compiler) $(Compiler_options)   f4opt.c

f4ptr.obj    :  f4ptr.c
   $(Compiler) $(Compiler_options)   f4ptr.c

f4str.obj    :  f4str.c
   $(Compiler) $(Compiler_options)   f4str.c

f4temp.obj   :  f4temp.c
   $(Compiler) $(Compiler_options)   f4temp.c

f4true.obj   :  f4true.c
   $(Compiler) $(Compiler_options)   f4true.c

f4write.obj   :  f4write.c
   $(Compiler) $(Compiler_options)   f4write.c

i4add.obj :  i4add.c
   $(Compiler) $(Compiler_options)   i4add.c

i4addtag.obj :  i4addtag.c
   $(Compiler) $(Compiler_options)   i4addtag.c

i4check.obj  :  i4check.c
   $(Compiler) $(Compiler_options)   i4check.c

i4create.obj :  i4create.c
   $(Compiler) $(Compiler_options)   i4create.c

i4dump.obj   :  i4dump.c
   $(Compiler) $(Compiler_options)   i4dump.c

i4index.obj  :  i4index.c
   $(Compiler) $(Compiler_options)   i4index.c

i4info.obj   :  i4info.c
   $(Compiler) $(Compiler_options)   i4info.c

i4init.obj   :  i4init.c
   $(Compiler) $(Compiler_options)   i4init.c

i4key.obj    :  i4key.c
   $(Compiler) $(Compiler_options)   i4key.c

i4lock.obj   :  i4lock.c
   $(Compiler) $(Compiler_options)   i4lock.c

i4ntag.obj   :  i4ntag.c
   $(Compiler) $(Compiler_options)   i4ntag.c

i4positi.obj :  i4positi.c
   $(Compiler) $(Compiler_options)   i4positi.c

i4remove.obj :  i4remove.c
   $(Compiler) $(Compiler_options)   i4remove.c

i4tag.obj    :  i4tag.c
   $(Compiler) $(Compiler_options)   i4tag.c

l4link.obj   :  l4link.c
   $(Compiler) $(Compiler_options)   l4link.c

l4lock_c.obj :  l4lock_c.c
   $(Compiler) $(Compiler_options)   l4lock_c.c

m4check.obj  :  m4check.c
   $(Compiler) $(Compiler_options)   m4check.c

m4create.obj :  m4create.c
   $(Compiler) $(Compiler_options)   m4create.c

m4file.obj   :  m4file.c
   $(Compiler) $(Compiler_options)   m4file.c

m4map.obj    :  m4map.c 
   $(Compiler) $(Compiler_options)   m4map.c 

m4memo.obj   :  m4memo.c
   $(Compiler) $(Compiler_options)   m4memo.c

m4memory.obj :  m4memory.c
   $(Compiler) $(Compiler_options)   m4memory.c

o4opt.obj    :  o4opt.c
   $(Compiler) $(Compiler_options)   o4opt.c

r4code.obj   :  r4code.c
   $(Compiler) $(Compiler_options)   r4code.c

r4driver.obj :  r4driver.c
   $(Compiler) $(Compiler_options)   r4driver.c

r4group.obj  :  r4group.c
   $(Compiler) $(Compiler_options)   r4group.c

r4log.obj    :  r4log.c
   $(Compiler) $(Compiler_options)   r4log.c

r4object.obj :  r4object.c
   $(Compiler) $(Compiler_options)   r4object.c

r4reinde.obj :  r4reinde.c
   $(Compiler) $(Compiler_options)   r4reinde.c

r4reindx.obj :  r4reindx.c
   $(Compiler) $(Compiler_options)   r4reindx.c

r4relate.obj :  r4relate.c
   $(Compiler) $(Compiler_options)   r4relate.c

r4report.obj :  r4report.c
   $(Compiler) $(Compiler_options)   r4report.c

r4save.obj   :  r4save.c
   $(Compiler) $(Compiler_options)   r4save.c

r4save_m.obj :  r4save_m.c
   $(Compiler) $(Compiler_options)   r4save_m.c

r4styles.obj :  r4styles.c
   $(Compiler) $(Compiler_options)   r4styles.c

r4text.obj   :  r4text.c
   $(Compiler) $(Compiler_options)   r4text.c

r4total.obj  :  r4total.c
   $(Compiler) $(Compiler_options)   r4total.c

s4init.obj   :  s4init.c
   $(Compiler) $(Compiler_options)   s4init.c

s4initfr.obj :  s4initfr.c
   $(Compiler) $(Compiler_options)   s4initfr.c

s4next.obj   :  s4next.c
   $(Compiler) $(Compiler_options)   s4next.c

s4quick.obj  :  s4quick.c
   $(Compiler) $(Compiler_options)   s4quick.c

s4sort.obj   :  s4sort.c
   $(Compiler) $(Compiler_options)   s4sort.c

u4name.obj   :  u4name.c
   $(Compiler) $(Compiler_options)   u4name.c

u4util.obj   :  u4util.c
   $(Compiler) $(Compiler_options)   u4util.c
